## hildon-desktop 0.0.35-1

=== debian/changelog ===
hildon-desktop (1:0.0.35-1) sardine; urgency=low

  * libhildondesktop/hildon-desktop-panel-expandable.c:
  (hildon_desktop_panel_expandable_hide_extension),
  (hildon_desktop_panel_close_fullscreen),
  (hildon_desktop_panel_expandable_constructor):
  - Check the fullscreen signal to close the extension panel.
  Fixes: NB#68729

  * data/top-panel.conf.in, data/bottom-panel.conf.in: added
  default panel configurations for hildon-desktop
  * data/desktop.conf.in: change default layout to 2 panels,
  bottom and top
  * data/home.conf.in: removed maemo-specific plugins
  * data/tasknavigator.conf.in, data/statusbar.conf.in: removed
  maemo-specific panels
  * data/applications.menu: Removed maemo-specific applications

  * libhildondesktop/hildon-desktop-popup-menu.c: do not paint
  the ViewPorts as their background already have the right color

  * src/hd-switcher-menu.c (hd_switcher_menu_refresh_application_items,
  hd_switcher_menu_refresh_notification_items,
  hd_switcher_menu_constructor, hd_switcher_menu_hw_cb,
  hd_switcher_menu_osso_init,
  hd_switcher_menu_create_notifications_menu,
  hd_switcher_menu_changed_info_cb,
  hd_switcher_menu_notification_deleted_cb,
  hd_switcher_menu_notification_changed_cb): deactivate all blinking
  from switcher menu when hardware signal for system inactivity is 
  sent. Fixes: NB#60063.

  * src/hd-panel-window-dialog.c:
  - when using XComposite, redirect the window to avoid
  flicking when a menu or application comes on top
  * libhildondesktop/hildon-desktop-panel-window-composite.c:
  - cache the theme pattern painted on top of the home background
  to speed up painting

  * libhildondesktop/hildon-desktop-panel-expandable.c:
  (hildon_desktop_panel_expandable_add_arrow):
  - Queue item to get the theme. Fixes: NB#66675

  * src/hd-desktop.c: (hd_desktop_plugin_list_to_conf):
  - Reverse list of plugins in order to not get reversed plugins in
  statusbar when installing/uninstalling an applet. 
  Fixes: NB#66911

  * libhildonwm/hd-wm.[ch]: (hd_wm_switch_instance_current_application):
  - Added new method to switch to prev/next application. Suggested by
  Horace Li from Intel.

  * libhildondesktop/hildon-desktop-panel-window-composite.c:
  - fixed invalidation of the window area when the desktop window
  changes

  * src/hd-home-window.c: save the container when an applet is
  removed, except when we are running the Select applets dialog,
  in which case HDDesktop does it for us

  * libhildondesktop/hildon-home-area.c: signal a layout change
  when placing or removing a widget

  * libhildondesktop/hildon-desktop-picture.[ch]:
  - added _picture_from_color
  * background-manager/background-manager.{c,h,xml.in}:
  - pass the picture identifier as argument, the picture is now
  expected to be created on client side
  - don't pass the background color any longer
  * background-manager/hbm-background.[ch]:
  - added picture property
  - do not create a new picture but paint on the provided one
  * src/hd-home-background.c: create a picture before passing
  it to the background manager.
  Fixes: NB#66928

  * libhildondesktop/hildon-home-area.[ch]: removed the "batch_add"
  optimization as it makes the code too complex
  * src/hd-home-window.c: do not call set_batch_add

  * libhildonwm (hd_wm_activate_window): correctly activate applications
  menu through keyboard shortcut. Fixes: NB#55569.

  * src/hd-switcher-menu.c (hd_switcher_menu_changed_info_cb): fix
  regression bug on defining whether to blink icon in switcher menu
  button or not. Fixes: NB#68371.

  * libhildondesktop/hildon-desktop-panel-expandable.c:
  (hildon_desktop_panel_expandable_constructor):
  - Insert the GtkTable into a GtkFrame
  * src/hd-panel-window-dialog.c:
  (hd_panel_window_dialog_constructor):
  - Set the theme to GtkTable's parent. Fixes partially: NB#65211

  * libhildondesktop/hildon-desktop-panel.c:
  (hildon_desktop_panel_refresh_items_status):
  - When refreshing items check if the container is a
  composited one (or so called hildon-desktop-container).
  Fixes: NB#63897

  * src/hd-switcher-menu.c (hd_switcher_menu_show_menu_cb): do not emit
  "toggled" signal twice to avoid popping up the switcher menu window 
  when it's already shown. Fixes: NB#65709.

  * libhildondesktop/hildon-home-area.c:
  - include the widgets to be batch-added in _forall

  * src/hd-switcher-menu.c (hd_switcher_menu_changed_info_cb): check
  menu item before testing the blinking in order to avoid critical
  warnings.

  * libhildondesktop/hildon-desktop-multiscreen.c:
  - properly pass the object as data to the size-changed handlers.
  Fixes: NB#66644

  * libhildondesktop/hildon-desktop-popup-menu.c
  (hildon_desktop_popup_menu_release_event,
  hildon_desktop_popup_menu_press_event): handle selection on button
  press and menu item activation on release in order to explicitly 
  show the selection before activation. Fixes: NB#61740.

  * libhildondesktop/hildon-desktop-panel-window-composite.c.
  libhildondesktop/hildon-desktop-toggle-button.c:
  - chain style_set to parent class

  * libhildonwm/hd-wm.c: Fixed the leak of an X property

  * src/hd-switcher-menu-item.c (hd_switcher_menu_item_icon_animation):
  add some safety checks before setting back from animation to pixbuf
  when blinking is disabled.
  * src/hd-switcher-menu.c (hd_switcher_menu_changed_info_cb): disable
  blinking when the when the window entry info is not urgent anymore.
  Fixes: NB#58375.

  * libhildondesktop/hildon-desktop-picture.c,
  libhildondesktop/hildon-desktop-toggle-button.c,
  libhildondesktop/hildon-home-area.c,
  libhildondesktop/hildon-desktop-panel-window-composite.c,
  src/hd-home-window.c:
  - added some safeguard for X errors.

  * src/hd-switcher-menu.c (hd_switcher_menu_clear_item_activated), 
  src/hd-desktop.c (hd_desktop_system_notifications_filter): fix 
  checking of notification category prefixes. Fixes: #NB65180.


