## hildon-desktop 0.0.37-1

=== debian/changelog ===
hildon-desktop (1:0.0.37-1) sardine; urgency=low

  * libhildondesktop/hildon-home-titlebar.c: move the label
  3 px higher. Fixes: NB#69642

  * src/hn-app-button.c:
  - set the previous button even if it happens to be the same as
  the new one
  - when the group menu is closed, if no previous active button,
  unset current button.
  Fixes: NB#70354

  * src/hd-applications-menu.c (hd_applications_menu_activate_category):
  use new method for replacing items in popup menu.
  * src/hd-switcher-menu.c
  (hd_switcher_menu_create_clear_notifications_button,
  hd_switcher_menu_add_clear_notifications_button,
  hd_switcher_menu_get_icon_from_theme,
  hd_switcher_menu_add_notification_groups,
  hd_switcher_menu_create_notifications_menu): refactored the whole
  notification pane creation to use the new method for replacing
  items in popup menu.
  * libhildondesktop/hildon-desktop-popup-menu.c
  (hildon_desktop_popup_menu_add_items,
  hildon_desktop_popup_menu_remove_all,
  hildon_desktop_popup_menu_parent_size,
  hildon_desktop_popup_menu_replace_items): new method for replacing
  items in popup menu. Make sure the parent is resized before moving
  it to another position. Fixes: NB#65712.

  * src/hd-app-menu-settings-dialog.c: check for duplicate names
  on the stripped name, not the original. Fixes: NB#70314

  * libhildonwm/hd-wm-window.c: set the parent pointer to the
  parent app when creating a new window. Fixes: NB#70125

  * src/hd-switcher-menu.c: when removing an item, unselect
  it if selected
  * libhildondesktop/hildon-desktop-popup-menu.c: ensure that we
  are always calling popup_menu_remove rather than container_remove.
  Fixes: NB#70281

  * src/hd-select-plugins-dialog.c, src/hd-home-background.c:
  - Fixed memory leaks. Fixes: NB#70273

  * src/hd-switcher-menu.c: (hd_switcher_create_external_window):
  - Fixed size for deattached button. Fixes: NB#70344

  * src/hd-panel-window-dialog.c:
  (hd_panel_window_dialog_notify_condition):
  - Send a real DBus signal.

  * src/hd-app-menu-tree.c: set an abitrary default value
  to the paned position.

  * libhildondesktop/hildon-desktop-home-item.c: when passing
  along a button-release, use the button release event
  rather than the previous button-press

  * src/hd-applications-menu.c (hd_applications_menu_activate_category):
  make sure focus is correctly painted when the same category is
  activated twice.

  * src/hd-home-window.c: make sure to save the background always
  when pressing Ok. Fixes: NB#69800

  * src/hd-switcher-menu.c (hd_switcher_menu_show_menu_cb): do not show
  pressed state in toggle button if there are no applications running
  and Home key is pressed. Fixes: NB#69681.

  * src/main.c: add a signal handler for SIGTERM, in which
  desktop sends a SIGTERM to all watched applications.
  Fixes: NB#69408

  * libhildonwm/hd-keys.c: (hd_keys_shortcut_new):
  - Fixed typo with - and + keys

  * src/hd-applications-menu.c (hd_applications_menu_create_menu,
  hd_applications_menu_activate_category): make sure the menu can't be
  opened while loading its content in order to avoid crashers.
  Fixes: NB#68975.

  * src/hd-applications-menu.c (hd_applications_menu_activate_category):
  use new optimized functions to add and remove several items at once.
  * libhildondesktop/hildon-desktop-popup-menu.[ch]
  (hildon_desktop_popup_menu_add_item,
  hildon_desktop_popup_menu_add_items,
  hildon_desktop_popup_menu_real_add_item,
  hildon_desktop_popup_menu_remove_item,
  hildon_desktop_popup_menu_remove_all,
  hildon_desktop_popup_menu_real_remove_item): new functions to add
  several items at once in the menu and to remove all items.

  * policies/tasknavigator-policy.c:
  (hd_ui_policy_module_filter_plugin_list):
  - Filter any previous position of the switcher plugins.
  Fixes: NB#69004

  * libhildondesktop/libhildonmenu.[ch]: added support for
  the NoDisplay field

  * src/hd-switcher-menu.c (hd_switcher_menu_refresh_application_items):
  make sure the blinking is stopped when display is off inside
  the switcher
  menu applications pane. Removed some useless debugging messages.

  * libhildondesktop/hildon-desktop-panel-expandable.c:
  (hildon_desktop_x_event_filter),
  (hildon_desktop_panel_embed_applet):
  - Increment number of systray applets. Fixes: NB#60764

  * src/hn-app-button.c (hn_app_button_create_menu): set toplevel window
  name for application instances menu to make it consistent with other
  plugins in tasknavigator.

  * src/hn-app-pixbuf-anim-blinker.c: (get_delay_time):
  - Set a fixed amount of time in order to save some CPU %.
  Fixes: NB#60062

 -- Johan Bilien <johan.bilien@nokia.com>  Fri, 21 Sep 2007 13:06:10 +0300

hildon-desktop (1:0.0.36-3) feisty; urgency=low

  * make startup sript scratchbox-friendly. Fixes: MB#1747

 -- Johan Bilien <johan.bilien@nokia.com>  Wed, 19 Sep 2007 13:00:37 +0300

hildon-desktop (1:0.0.36-2) sardine; urgency=low

  * debian/config/applications.menu: some adjustment

 -- Johan Bilien <johan.bilien@nokia.com>  Mon, 17 Sep 2007 17:05:56 +0300

hildon-desktop (1:0.0.36-1) sardine; urgency=low

  * src/hd-switcher-menu.c (hd_switcher_menu_displat_state_cb),
  src/hn-app-switcher.c (hn_app_switcher_osso_display_state_cb): keep
  track of display state changes instead of general system inactivity.

  * src/hd-app-menu-dialog.c: Fixed the leak of a string

  * libhildondesktop/hildon-desktop-picture.c: sync with X
  after creating a picture

  * src/hd-switcher-menu.c (hd_switcher_menu_popup_window_keypress_cb,
  hd_switcher_menu_popup_window_pane_keypress_cb): fixed keyboard
  navigation between application and notification panes. 

  * libhildondesktop/hildon-desktop-home-item.c: Added safegard
  against button-release without previous button-press.
  Fixes: NB#69560

  * src/hn-app-button.c (hn_app_button_release_event): restore previous
  state in case the release event occurs outside button boundaries.
  Fixes: NB#69245


