## hildon-desktop 0.0.38-1

=== debian/changelog ===
hildon-desktop (1:0.0.38-1) sardine; urgency=low

  * src/hd-home-window.c: kill the startup wizard in an idle loop,
  to make sure we are all setup.
  Fixes: NB#68956

  * src/hd-applications-menu.c (hd_applications_menu_dir_changed):
  reduce the timeout to update the menu in order to avoid strange
  behavior from the user point of view. Fixes: NB#68975.

  Added "safe mode" support which, in practice, disables all home plugins 
  and loads default ones for task navigator and statusbar. Based on
  patch from Karoliina Salminen <karoliina.t.salminen@nokia.com>.

  * debian/rules: added --enable-safe-mode option to configure step.
  * debian/config/desktop.conf: added UI policy key for statusbar.
  * src/hd-desktop.c (hd_desktop_init, hd_desktop_load_containers):
  create a stamp file on startup which should be removed on a normal 
  desktop shutdown. On startup, if the file is still there it means
  desktop didn't shutdown normally on previous session and the safe mode
  should be activated. If running in a development environment, then safe 
  mode is disabled.
  * src/hd-desktop.h: added constants for the stamp file used by safe
  more code.
  * src/main.c (signal_handler): remove stamp file on SIGTERM to mark
  a plain shutdown. 
  * policies/statusbar-policy.c: new statusbar UI policy which loads all
  default plugins in case the desktop is in safe mode.

  * libhildondesktop/hildon-home-area.c: removed debug message
  * libhildondesktop/hildon-desktop-home-item.c: removed warning
  when no close icon is provided

  * src/hd-panel-window-dialog.c: fixed potential leak of an int

  * libhildondesktop/libhildonmenu.c (read_menu_conf): do not
  duplicate strings before adding to the TreeStore

  * src/hd-switcher-menu-item.c: fixed the leak of the application
  and window names

  * libhildondesktop/hildon-desktop-panel-expandable.c
  (hildon_desktop_panel_expandable_cadd): fixed the leak of a GList

  * src/hd-panel-window.c (hd_panel_window_cadd): fixed leak of
  a GList

  * src/hd-applications-menu.c (hd_applications_menu_create_menu):
  increased the applications pane in order to avoid many truncations on
  several languages. Fixes: NB#65999.

  * src/hd-applications-menu.c (hd_applications_menu_create_menu): pack
  both panes inside event boxes in order to avoid flicking on scrolling
  buttons area when opening the popup window.

  Refactored memory management of the switcher icons
  * src/hd-switcher-menu-item.c
  - (hd-switcher-menu-item_set_property): keep an internal reference
  to the notification icon
  - (hd_switcher_menu_item_icon_animation): when moving from
  animation to static, do not unref the original pixbuf
  * src/hn-app-pixbuf-anim-blinker.c
  (hn_app_pixbuf_anim_blinker_finalize): unref the blended image
  * src/hd-switcher-menu.c: unref a notification icon after
  a notification menu item is created
  Fixes: NB#70872, NB#70670

  * src/hd-applications-menu.c (hd_applications_menu_activate_category):
  reverted some remaining changes from the previous leak fix in order to make the
  keyboard navigation work again.

  * src/hd-applications-menu.c (hd_applications_menu_activate_category):
  reverted some changes from the previous leak fix in order to make the
  focus move between panes work again.

  * src/hd-desktop.c (hd_desktop_plugin_list_from_conf): duplicate
  the group name if we add it to the plugin list.

  * src/hd-applications-menu.c (hd_applications_menu_activate_category):
  fixed the leak of a GList

  * src/hd-desktop.c (hd_desktop_plugin_list_from_conf): free
  the KeyFile in case of error.

  * src/hd-desktop.c (hd_desktop_plugin_list_from_conf): use
  g_strfreev() to free the list of groups returned by gconf. Fixes
  a leak of strings

  * libhildondesktop/hildon-desktop-notification-manager.c: unref
  the notification icon after storing it in the ListStore, to avoid
  leaking it

  * libhildondesktop/hildon-desktop-panel.c (hildon_desktop_panel_cadd):
  added protection against NULL widget. Fixes: NB#70668

  * libhildondesktop/hildon-desktop-popup-menu.c: systematically
  unselect the item when removed from the box. This fixes invalid
  reads

  * src/hd-switcher-menu.c: fixed numerous leaks of GList.

  * libhildondesktop/hildon-desktop-popup-menu.c: fixed a warning
  when deselecting a NULL item

  * src/hd-switcher-menu.c (hd_switcher_menu_changed_info_cb): make sure
  the menu item icon blinks when urgency hint is set for a certain
  window. Fixes: NB#58375.

  * src/hd-panel-window-dialog.c:
  (hd_panel_window_dialog_notify_condition):
  - Get the condition anyways and send it off. Fixes: NB#70308

  * src/hd-applications-menu.c (hd_applications_menu_get_items): center
  the "no applications" label on empty categories menu item.

  * libhildonwm/hd-keys.c: (hd_keys_action_close):
  * libhildonwm/hd-keys.h:
  - New gconf key for shorcuts.

  * src/hd-panel-window-dialog.c:
  (hd_panel_window_dialog_constructor):
  - If using old titlebar MB dirty-hack, never hide statusbar.
  Fixes: NB#70648, NB#70348, NB#69706

  * libhildondesktop/hildon-desktop-notification-manager.c
  (hildon_desktop_notification_manager_notify): fix memory leak.
  Fixes: NB#70273.

  * libhildondesktop/hildon-desktop-popup-window.c
  (hildon_desktop_popup_window_realize): don't set back pixmap to NULL
  to make avoid the "partial paint" effect on realize. Fixes: NB#69156.

  * src/hd-plugin-manager.c: free the list of plugins returned by
  the plugin loaders

  * libhildonwm/hd-keys.c: fixed the leak of the strings retrieved
  from gconf

  * libhildonwm/hd-wm.c: do not send the application-starting signal
  if the application has a window already or has requested not
  to show notifications.

  * libhildondesktop/hildon-thumb-menu-item.c: do not disable
  ellipses. Fixes: NB#70867

  * src/hd-app-menu-tree.c (hd_app_menu_tree_navigation_row_deleted):
  - set the cursor in an idle loop rather than directly, to prevent

