## hildon-desktop 0.0.39-1

=== debian/changelog ===
hildon-desktop (1:0.0.39-1) sardine; urgency=low

  * src/hd-home-background.c (hd_home_background_requires_caching):
  - check for both MMC and cache the background for both origin,
  as both will be made unavailable if connected to a host.

  * libhildondesktop/hildon-desktop-toggle-button.c
  (hildon_desktop_toggle_button_expose): paint the button on
  its allocation only. Fixes: NB#71538

  * src/hd-desktop.c: removed debug message

  * libhildondesktop/hildon-desktop-panel-expandable.c
  (hildon_desktop_panel_expandable_hide_extension): do not hide the
  extension if already hidden. In particular don't release grabs
  which we didn't take. Fixes: NB#71191

 -- Johan Bilien <johan.bilien@nokia.com>  Mon, 01 Oct 2007 19:34:02 +0300
