## hildon-desktop 0.0.40-1

=== debian/changelog ===
hildon-desktop (1:0.0.40-1) sardine; urgency=low

  * libhildonwm/hd-wm-application.c: do not #define out gettext!
  Fixes: NB#69635

  * src/hd-applications-menu.c (hd_applications_menu_finalize,
  hd_applications_menu_activate_category,
  hd_applications_menu_free_menu_list, hd_applications_menu_create_menu,
  hd_applications_menu_get_items, hd_applications_menu_populate):
  complete refactoring of the way applications pane is update. Instead
  of removing and adding items from the popup menu widget, we just add
  all application menu items to the popup menu and keep hinding and
  showing certain menu items each time a category is activated. This
  brings a mass performance improvement as GTK+ doesn't perform very
  well with massively adding/removing widgets from containers.
  * src/hd-switcher-menu.c (hd_switcher_menu_init,
  hd_switcher_menu_eventbox_keypress_cb): add an eventbox around the
  popup menus in order to avoid flickers on scroll buttons area.
  Explicitly show menu items on their creation as the popup menu doesn't
  call gtk_widget_show on them anymore.
  * libhildondesktop/hildon-desktop-popup-menu.[ch]
  (hildon_desktop_popup_menu_get_children,
  hildon_desktop_popup_menu_parent_size,
  hildon_desktop_popup_menu_item_is_valid,
  hildon_desktop_popup_menu_motion_notify): take in to account the
  visibility of the menu items on all basic operations on popup menu
  like motion notify, keyboard navigation, getting children, etc.

 -- Johan Bilien <johan.bilien@nokia.com>  Tue, 02 Oct 2007 14:35:08 +0300
