## hildon-desktop 0.0.41-1

=== debian/changelog ===
hildon-desktop (1:0.0.41-1) sardine; urgency=low

  * libhildonwm/hd-wm.[ch]: (hd_wm_constructor), (hd_wm_init),
  (hd_wm_monitor_cb), (hd_wm_monitor_register):
  - Refresh list of applications when un/installing. Fixes: NB#72107
  * src/hn-app-switcher.c:
  (hn_app_switcher_close_application_dialog):
  - Use the proper hd_wm_entry_info
  
  * libhildondesktop/hildon-thumb-menu-item.c
  (hildon_thumb_menu_item_style_set, hildon_thumb_menu_class_init):
  refresh style of menu item labels in case of a theme change.
  Fixes: NB#72056.
  
  * src/hn-app-button.c, src/hd-switcher-menu-item.c: defined a default
  height for menu items and reduced x padding in order to bring more
  consistency to switcher area menu in relation to other tasknavigator
  menus. Fixes: NB#71584.
  
  * libhildonwm/hd-wm-window.c: the icons we should accept
  are 64x54, not 40x40. Fixes: NB#71511
  
  * libhildondesktop/hildon-desktop-home-item.c
  (hildon_desktop_home_item_propagate_button_event): when forwarding
  button-release events, lookup for the child window using the
  previous button-press event coordinates. Fixes: NB#71808
  
  * src/hd-desktop.c: fixed the leak of a GList
  
  * src/hd-switcher-menu.c (hd_switcher_menu_notification_deleted_cb):
  turn off led pattern blinking when a notification with led blinking
  closes. Fixes: NB#71832.

 -- Lucas Rocha <lucas.rocha@nokia.com>  Fri,  5 Oct 2007 17:06:10 +0300
