## hildon-desktop 0.0.42-1

=== debian/changelog ===
hildon-desktop (1:0.0.42-1) sardine; urgency=low

  * libhildondesktop/hildon-desktop-panel-expandable.c:
  - (hildon_desktop_panel_expandable_constructor): keep the id
  of the fullscreen signal handler
  - (hildon_desktop_panel_expandable_finalize): disconnect the
  fullscreen signal handler.
  Fixes: NB#72260

 -- Johan Bilien <johan.bilien@nokia.com>  Mon, 08 Oct 2007 14:46:11 +0300
