## hildon-desktop 0.0.44-1

=== debian/changelog ===
hildon-desktop (1:0.0.44-1) sardine; urgency=low

  * libhildonwm/hd-wm-window.c: call gdk_flush before checking for
  an X error. Fixes: NB#72458

  * src/hd-switcher-menu.c
  (hd_switcher_menu_create_clear_notifications_button):
  call gtk_widget_show on "clear events" menu item.

 -- Johan Bilien <johan.bilien@nokia.com>  Wed, 10 Oct 2007 12:47:53 +0300

hildon-desktop (1:0.0.43-1) sardine; urgency=low

  * src/hd-switcher-menu.c (hd_switcher_menu_create_separator):
  call gtk_widget_show on each created menu separator.

  * libhildonwm/hd-wm-application.c: (hd_wm_application_new):
  - If not icon provided at all fallback to default.

  * libhildonwm/hd-wm.c: (hd_wm_prepare_close_application_dialog):
  - Use the new HD_WM_ENTRY_INFO semantics. The list of applications
  contains applications not windows. Fixes: NB#72499

 -- Johan Bilien <johan.bilien@nokia.com>  Tue, 09 Oct 2007 15:58:58 +0300
