## hildon-desktop 0.0.46-1

=== debian/changelog ===
hildon-desktop (1:0.0.46-1) sardine; urgency=low

  * libhildondesktop/home-item.[ch]: use HOME_ as prefix
  for the GObject macros, to make the python binding generator
  happy.

  * libhildondesktop/hildon-desktop-home-item.c: enable
  extension events on the event window, so the pressure
  information is propagated to child widgets. Patch courtesy
  of Tomas Junnonen. Fixes: NB#73005

 -- Johan Bilien <johan.bilien@nokia.com>  Tue, 16 Oct 2007 15:27:13 +0300

hildon-desktop (1:0.0.45-2) sardine; urgency=low

  * debian/control: libhildon*-dbg should be built for any architecture.
  Fixes: NB#72826

 -- Johan Bilien <johan.bilien@nokia.com>  Mon, 15 Oct 2007 18:55:46 +0300

hildon-desktop (1:0.0.45-1) sardine; urgency=low

  * libhildonwm/hd-wm-window.c (hd_wm_window_finalize):
  do not return when the window is hibernating. We do destroy
  windows which are hibernating when an application has not
  set up its WINDOW_ROLE, in which case all its windows have the
  same hibernation key.
  * src/hd-switcher-menu.c: do not check urgency of hibernating windows
  * src/hn-app-switcher.c: do not check urgency and icon geometry
  of hibernated window.
  Fixes: NB#72572

  * libhildonwm/hd-wm.c (hd_wm_prepare_close_application_dialog):
  plugged the leak of an X property

  * debian/config/notification-groups.conf: update notification group
  configuration file with correct e-mail notification group callback.

  * src/hd-applications-menu.c (hd_applications_menu_activate_app):
  plugged the leak of a string vector

  * libhildonwm/hd-wm-window.c (hd_wm_win_info_get_window_name): Fixed
  the leak of a string

  * libhildonwm/hd-keys.c: (hd_keys_handle_keypress):
  - Trap possible X errors. Fixes potential crash.

 -- Johan Bilien <johan.bilien@nokia.com>  Thu, 11 Oct 2007 16:00:17 +0300
