=== debian/control ===
--- 
+++ 
@@ -47,7 +47,7 @@
 
 Package: libhildondesktop0-dbg
 Section: devel
-Architecture: all
+Architecture: any
 Depends: libhildondesktop0 (=${Source-Version})
 Description: libhildondesktop debug symbols
   Debugging symbols for libhildondesktop0
@@ -68,7 +68,7 @@
 
 Package: libhildonwm0-dbg
 Section: devel
-Architecture: all
+Architecture: any
 Depends: libhildonwm0 (=${Source-Version})
 Description: libhildonwm debug symbols
   Debugging symbols for libhildonwm0
