## hildon-desktop 2.0.1-2

=== debian/changelog ===
hildon-desktop (1:2.0.1-2) sardine; urgency=low

  * debian/control:
    . added libhildondesktop0-doc
    . added Build-Depends-Indep to gtk-doc-tools
  * debian/rules:
    . enable gtk-doc
    . add a symlink from /usr/share/gtk-doc/html
  * debian/libhildondesktop0-doc.install: added

 -- Johan Bilien <johan.bilien@nokia.com>  Fri, 19 Oct 2007 15:37:33 +0300

hildon-desktop (1:2.0.1-1) sardine; urgency=low

  * src/hd-switcher-menu.c
  (hd_switcher_menu_refresh_notification_items): check if items
  are HDSwitcherMenuItem before accessing them.

  * libhildondesktop/libhildondesktop.h: document
  HD_DEFINE_PLUGIN_EXTENDED and HD_DEFINE_PLUGIN.

  * libhildondesktop/tasknavigator-item.[ch]: document
  TaskNavigatorItem (mark public fields as private).

  * doc/hildon-desktop-docs.sgml: add package version number.
  * libhildondesktop/hildon-desktop-panel-item.[ch]: add
  HildonDesktopPanelItem documentation.

  * doc/hildon-desktop-docs.sgml: make the index.html more elegant.
  * doc/hildon-desktop.types: introspect PopupWindow and PopupMenu
  too.

  * libhildondesktop/statusbar-item.[ch]: fix StatusbarItem
  documentation (mainly state things as private).

  * libhildondesktop/hildon-log.[ch]:
  * libhildondesktop/statusbar-item-binding.[ch]:
  * libhildondesktop/statusbar-item-socket.[ch]:
  * libhildondesktop/statusbar-item-wrapper.[ch]:
  * libhildondesktop/tasknavigator-item-socket.[ch]:
  remove _PRIVATE macros from public headers.

  * doc/Makefile.am:
  fix GtkDoc documentation build.

 -- Johan Bilien <johan.bilien@nokia.com>  Thu, 18 Oct 2007 14:51:16 +0300

hildon-desktop (1:2.0.0-1) sardine; urgency=low

  * src/hd-applications-menu.c (hd_applications_menu_activate_category):
  fix an invalid read by adding a weak pointer to the internal static
  variable that points to the last selected item. Fixes: NB#73505.
  * libhildondesktop/hildon-desktop-panel-expandable.c
  (hildon_desktop_desktop_panel_expandable_cremove): fix a leak by
  freeing an temporary list.
  * libhildonwm/hd-wm.c (hd_wm_activate_service): fix memory leak.

  * libhildondesktop/hildon-desktop-home-item.c: reverted activating
  the extension events, as it breaks resizing and context sensitive
  menu

 -- Johan Bilien <johan.bilien@nokia.com>  Wed, 17 Oct 2007 16:48:17 +0300
