=== debian/rules ===
--- 
+++ 
@@ -41,6 +41,12 @@
 	CFLAGS += -ggdb -DDEBUG
 endif
 
+ifeq (,$(findstring nodocs,$(DEB_BUILD_OPTIONS)))
+ENABLE_GTK_DOC = --enable-gtk-doc
+else
+ENABLE_GTK_DOC = --disable-gtk-doc
+endif
+
 # shared library versions, option 1
 version=0.0.0
 major=0
@@ -53,7 +59,7 @@
 config.status: configure
 	dh_testdir
 # Add here commands to configure the package.
-	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --sysconfdir=/etc --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --disable-dependency-tracking --enable-safe-mode
+	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --sysconfdir=/etc --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --disable-dependency-tracking --enable-safe-mode --with-html-dir=\$${prefix}/share/doc/libhildondesktop0-doc $(ENABLE_GTK_DOC)
 
 
 build: build-stamp
@@ -106,7 +112,10 @@
 
 # Build architecture-independent files here.
 binary-indep: build install
-# We have nothing to do by default.
+	dh_link -plibhildondesktop0-doc			\
+		usr/share/doc/libhildondesktop0-doc/hildon-desktop	\
+		usr/share/gtk-doc/html/hildon-desktop;		\
+
 
 # Build architecture-dependent files here.
 binary-arch: build install
