## hildon-desktop 2.0.2-1

=== debian/changelog ===
hildon-desktop (1:2.0.2-1) sardine; urgency=low

  * src/hd-home-background.c,
  libhildondesktop/hildon-desktop-panel-window-composite.c:
  fixed compilation warnings. Patch courtesy of Xan López.

  * doc/libhildondesktop: moved libhildondesktop documentation
  to its own subdirectory, with its own gtk-doc module.

 -- Johan Bilien <johan.bilien@nokia.com>  Wed, 24 Oct 2007 13:26:01 +0300

hildon-desktop (1:2.0.1-3) sardine; urgency=low

  * debian/config/home{-layout}.conf: replaced tutorial with clock 
    applet. Fixes: NB#74145

 -- Johan Bilien <johan.bilien@nokia.com>  Wed, 24 Oct 2007 13:24:42 +0300
