=== debian/rules ===
--- 
+++ 
@@ -113,8 +113,8 @@
 # Build architecture-independent files here.
 binary-indep: build install
 	dh_link -plibhildondesktop0-doc			\
-		usr/share/doc/libhildondesktop0-doc/hildon-desktop	\
-		usr/share/gtk-doc/html/hildon-desktop;		\
+		usr/share/doc/libhildondesktop0-doc/libhildondesktop	\
+		usr/share/gtk-doc/html/libhildondesktop;		\
 
 
 # Build architecture-dependent files here.
