## hildon-desktop 2.0.6-1

=== debian/changelog ===
hildon-desktop (1:2.0.6-1) sardine; urgency=low

  * libhildonwm/hd-keys.c: check if a fn + keycode gives keysym,
  but also if keycode only does not give keysym.
  Fixes NB#74429

  * libhildondesktop/hildon-home-titlebar.c: use button1 in
  gtk_menu_popup. Fixes: NB#76713

 -- Johan Bilien <johan.bilien@nokia.com>  Thu, 22 Nov 2007 14:42:43 +0200

hildon-desktop (1:2.0.5-1) sardine; urgency=low

  * libhildonwm/hd-keys.c:
  - when grabbing a shortcut, check if that keysym requires the Fn
  modifiers, and if so add it to the modifier mask. For instance
  the + key in French is labelled as + but requires Fn+V.
  - when a key shortcut is received, check if this keycode and
  mask results in a levelled keysym.
  Fixes: NB#74322

  * src/hd-applications-menu.c (hd_applications_menu_button_toggled): do
  not unselect menu item when untoggling the button to avoid
  inconsistent behavior. Fixes: NB#75922.

 -- Johan Bilien <johan.bilien@nokia.com>  Wed, 21 Nov 2007 16:32:24 +0200

hildon-desktop (1:2.0.4-2) sardine; urgency=low

  * debian/config/home{-layout}.conf: the tutorial applet is back, for
  everyone's pleasure.

 -- Johan Bilien <johan.bilien@nokia.com>  Mon, 19 Nov 2007 13:10:51 +0200

hildon-desktop (1:2.0.4-1) sardine; urgency=low

  * libhildonwm/hd-wm.c (hd_wm_prepare_close_application_dialog):
  - add a weak reference to the window so it can be set to NULL
  if it disappears.
  - clean up the list where it is constructed.
  * src/hn-app-switcher.c (hn_app_switcher_close_application_dialog):
  - do not clean up the list as it is done by the caller.
  Fixes: NB#74429

  * src/hd-home-l10n.h, src/hd-applications-menu-settings-l10n.h,
  libhildondesktop/statusbar-item-socket.h,
  libhildondesktop/tasknavigator-item-socket.h: added missing
  G_END_DECLS. Patch courtesy of Mikhail Sobolev

  * libhildondesktop/hildon-desktop-popup-menu.c
  (hildon_desktop_popup_menu_press_event): do not take non-visible menu
  items into account when checking which item was selected on button
  press. Fixes: NB#75589.

  * src/hd-applications-menu.c (hd_applications_menu_finalize,
  hd_applications_menu_init, hd_applications_menu_create_menu): use an
  idle call instead of timeout to first load menu structure on startup. 

  * src/hd-home-window.c: if an image has a cache, that's the file
  whose existence we should check. Fixes: NB#72925

 -- Johan Bilien <johan.bilien@nokia.com>  Mon, 12 Nov 2007 09:38:57 +0200

hildon-desktop (1:2.0.3-1) sardine; urgency=low

  * src/hd-home-window.c (hd_home_window_constructor): if the background
  file has disappeared, revert to default. Fixes: NB#72925

  * src/hd-switcher-menu.c (hd_switcher_menu_fullscreen_cb): only reset
  switcher button icon if the application is only shown in switcher menu
  and there's no blinking notification icon. Fixes: NB#72861, NB#72860.

  * src/hd-switcher-menu.c (hd_switcher_menu_fullscreen_cb): revert last
  commit as it brings one regression when blinking icon on switcher area.

  * src/hd-switcher-menu.c (hd_switcher_menu_fullscreen_cb): do not
  reset switcher button icon when fullscreen signal is false in order to
  avoid stopping the blinking when launching an application or coming
  back from fullscreen mode. Fixes: NB#72861, NB#72860.

  * src/hd-switcher-menu.c (hd_switcher_menu_displat_state_cb,
  hd_switcher_menu_finalize): copy animation pixbuf when restoring
  blinking icon on switcher button to avoid it to be destroyed just
  before using it. Fixes: NB#72544.

  * src/hd-plugin-loader-factory.c
  (hd_plugin_loader_factory_load_modules): g_strdup() the plugin loader
  key to fix a crasher. Do not use G_MODULE_BIND_LOCAL flag when loading
  plugin loader module in order to correctly load all its dependencies in
  the global symbol table.

  * src/hd-applications-menu.c (hd_applications_menu_unmap,
  hd_applications_menu_init): make the initial setup (select first
  category) on window unmap instead of window popdown in order to avoid
  errouneous applications activation when doing double clicks.
  Fixes: NB#73137.

  * libhildondesktop/hildon-desktop-panel-window-composite.c
  - (hildon_desktop_panel_window_composite_update_background):
  store a GdkPixmap instead of a Render Picture for the background,
  and apply it as window background.
  - (hildon_desktop_panel_window_composite_expose): removed.
  - (hildon_desktop_panel_window_composite_finalize): added, unref
  the background pixmap.
  Fixes: NB#72438

  * libhildondesktop/hildon-desktop-home-item.c: enable GTK
  extension events on both the event window and the
  close / resize handles. Fixes: NB#73005

  * src/hd-switcher-menu.c: fixed a compiler warning. Fix courtersy
  of Xan López.

 -- Johan Bilien <johan.bilien@nokia.com>  Tue, 30 Oct 2007 09:53:06 +0200

hildon-desktop (1:2.0.2-2) sardine; urgency=low

  * debian/config/applications.menu: added modest to the application menu.
  Fixes: NB#74333

 -- Johan Bilien <johan.bilien@nokia.com>  Fri, 26 Oct 2007 11:28:59 +0300
